package com.persagy.proxy.adm.constant;

/***
 * Description: rwd定制的错误返回码
 * @author : lijie
 * @date :2021/9/3 14:25
 * Update By lijie 2021/9/3 14:25
 */
public enum BusinessErrorRwdCode {
    /**
     * A73XX:代表关系计算的错误码
     * A79XX:代表ADM错误码
     *
     * */
    A7201("A7201", "关系不存在"),
	A7301("A7301", ":不存在"),
    A7302("A7302", ":存在多个实例"),
    A7303("A7303", ":不存在"),
    A7304("A7304", ":存在多个实例"),
    A7305("A7305", ":错误的类型参考：这里的传感器包含车库摄像头，车位检测器，办公摄像头，火灾探测器，燃气探测器，漏电探测器，消防设备电源传感器，监控摄像头，入侵报警探测器，以及传感器系统下所有设备类型"),
    A7306("A7306", ":不符合主对象条件限制");

    private String code;

    private String desc;

    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    private BusinessErrorRwdCode(String code, String desc) {
        this.desc = desc;
        this.code = code;
    }

    @Override
    public String toString() {
        return this.code + "_" + this.desc;
    }

}
