package com.persagy.proxy.adm.request;

import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Set;

/**
 * 业务空间查询请求体
 * @author lvxy
 * @date 2021/9/8
 */
@Data
@EqualsAndHashCode(callSuper=true)
public class AdmDCSQueryRequest extends AdmQueryCriteria {
    /** 楼层id */
    @JsonAlias(value = {"FloorId", "floorId"})
    private String floorId;

    /** 建筑id */
    @JsonAlias(value = {"BuildingId", "buildingId"})
    private String buildingId;

    /** 空间类型 */
    @JsonAlias(value = {"zoneType", "ZoneType"})
    private String zoneType;

    /** 空间类型 空间类型列表 */
    @JsonAlias(value = {"zoneTypeList", "ZoneTypeList"})
    private Set<String> zoneTypeList;
}
