package com.persagy.proxy.adm.service;

import com.persagy.dmp.basic.model.QueryCriteria;
import com.persagy.dmp.digital.entity.ObjectRelation;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import com.persagy.proxy.common.entity.RelationDTO;

import java.util.List;

/**
 * ADM 关系 通用 Service
 * @author Charlie Yu
 * @date 2021-08-16
 */
public interface IAdmRelationService {

    /**
     * 保存
     * @param param 上下文
     * @param voList 关系对象数组 - 在Controller中直接构建好，参考(datasyn中DataCenterSync.kt)
     */
    void doSave(InstanceUrlParam param, List<RelationDTO> voList);

    /**
     * 删除
     * @param param 上下文
     * @param criteria
     */
    void doDelete(InstanceUrlParam param, QueryCriteria criteria);

    /**
     * 通过条件查询
     * @param param
     * @param criteria
     * @return
     */
    List<ObjectRelation> queryByCondition(InstanceUrlParam param, QueryCriteria criteria);
}
