package com.persagy.proxy.calculation.model;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonAlias;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Set;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AdmRelationAddRequest implements Serializable {
    /**需要计算的类型*/
    private String relType;

    /**编码类型，CADID图纸编码(cadId),设备名称(name),设备ID(id),本地编码(localId),本地名称(localName)*/
    private String type;

    /**主对象内容*/
    private String mainContent;

    /**从对象内容*/
    private Set<String> fromContent;

    /**图类型编码*/
    @JsonAlias({"graphicType","graphic_type"})
    @JsonProperty("graphicType")
    @JSONField(name = "graphicType",alternateNames = {"parentCode","graphic_type"})
    private String graphicType;


}
