package com.persagy.proxy.calculation.service;

import com.persagy.proxy.calculation.model.AdmMepSourceTypeEntity;
import com.persagy.proxy.adm.request.AdmCreateRequest;
import com.persagy.proxy.adm.request.AdmResponse;
import com.persagy.proxy.common.entity.InstanceUrlParam;

/***
 * Description: 源末端关系设置逻辑处理类
 * @author : lijie
 * @date :2021/9/14 23:21
 * Update By lijie 2021/9/14 23:21
 */
public interface AdmMepSystemCalcService {
    /***
     * Description: 添加源末端关系
     * @param context : 请求上下文
     * @param request : 请求参数
     * @return : com.persagy.proxy.adm.request.AdmResponse
     * @author : lijie
     * @date :2021/9/14 23:23
     * Update By lijie 2021/9/14 23:23
     */
    AdmResponse add(InstanceUrlParam context, AdmCreateRequest<AdmMepSourceTypeEntity> request);
    /***
     * Description: 查询源端设备类型
     * @param context : 参数
     * @param calcName : 关系名称
     * @return : com.persagy.proxy.adm.request.AdmResponse
     * @author : lijie
     * @date :2021/9/14 23:20
     * Update By lijie 2021/9/14 23:20
     */
    AdmResponse query(InstanceUrlParam context, String calcName);
}
