package com.persagy.proxy.common.client;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.persagy.dmp.basic.config.DigitalFeignConfig;
import com.persagy.dmp.basic.model.QueryCriteria;
import com.persagy.proxy.common.constant.DmpUrlConstant;
import com.persagy.proxy.common.entity.DmpResult;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import com.persagy.proxy.common.entity.ObjRelationDTO;
import com.persagy.proxy.common.entity.RelationDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.cloud.openfeign.SpringQueryMap;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 *@description:数据中台dmp-dic 数据字典 接口feign
 *@author:lgy
 *@data:2021/8/11 14:56
 */
@FeignClient(name = "dmp-dic", configuration = DigitalFeignConfig.class)
public interface DmpDicClient {

     /**
     * @description: 查询字典数据
     * @param: objectUrlParam 对象请求url通用参数
     * @param: criteria post请求参数
     * @return: com.persagy.dmp.common.DmpResult
     */
    @PostMapping(DmpUrlConstant.DIC_DATA_QUERY)
    DmpResult<JSONArray> queryDictData(@SpringQueryMap InstanceUrlParam objectUrlParam, @RequestBody JSONObject criteria);

}
