package com.persagy.proxy.common.config;

import com.persagy.proxy.common.handler.AdmContextHandler;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.core.annotation.Order;
import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

/**
 * 拦截器
 * @author Charlie Yu
 * @date 2021-09-13
 */
@Configuration
@Order(1)
public class AdmMiddlewareWebConfigurer implements WebMvcConfigurer {

    @Bean
    public AdmContextHandler admContextHandler() {
        return new AdmContextHandler();
    }

    @Override
    public void addInterceptors(InterceptorRegistry registry) {
        String[] includePaths = {"/**"};
        String[] excludePaths = {"/**/*.html", "/**/*.js", "/**/*.css", "/swagger-resources"};
        // 设置拦截的路径、不拦截的路径、优先级等等
        registry.addInterceptor(admContextHandler()).order(11).addPathPatterns(includePaths).excludePathPatterns(excludePaths);
    }
}
