package com.persagy.proxy.common.entity;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author yuecaipu
 * @version 1.0
 * @description: 创建关系参数
 * @date 2021/8/14 11:39
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class RelationDTO {

    /**
     * 图类型I
     */
    @JSONField(name = "graph_id")
    private String graphId;

    /**
     * 图类型编码
     */
    @JSONField(name = "graph_code")
    private String graphCode;

    /**
     * 边类型编码
     */
    @JSONField(name = "rel_code")
    private String relCode;

    /**
     * 关系值
     */
    @JSONField(name = "rel_value")
    private String relValue;

    /**
     * from对象ID
     */
    @JSONField(name = "obj_from")
    private String objFrom;

    /**
     * to对象ID
     */
    @JSONField(name = "obj_to")
    private String objTo;
}
