package com.persagy.proxy.object.model;

import lombok.Data;

import java.util.Date;
import java.util.Map;

/**
 * ADM 项目 实体
 * @author Charlie Yu
 * @date 2021-08-16
 */
@Data
public class AdmProject {
    public static final String OBJ_TYPE = "project";
    /** 项目ID */
    private String id;
    /** 项目名称 */
    private String name;
    /** 项目本地编码 */
    private String localId;
    /** 项目本地名称 */
    private String localName;
    /** 项目介绍 */
    private String introduction;
    /** 集团编码 */
    private String groupCode;
    /** 商业层数 */
    private String businessFloorNum;
    /** 办公层数 */
    private String officeFloorNum;
    /** 对象类型 */
    private String objectType;
    /** 信息点 */
    private Map<String, Object> infos;
    /** 创建时间 */
    private Date createTime;
    /** 最后更新日期 */
    private Date lastUpdate;
    /** 统计信息 */
    private Map<String, Object> statistics;
}
