package com.persagy.proxy.object.model;

import com.persagy.proxy.adm.model.AdmPoint;
import lombok.Data;

import java.util.List;

/**
 * ADM 虚拟墙 实体
 * @author xujiaheng
 * @date 2021-09-06
 */
@Data
public class AdmVirtualWall {

    /** 模型ID */
    private String id;
    /** 名称 */
    private String name;
    /** 模型所属楼层的id */
    private String modelFloorId;
    /** 定位点 */
    private AdmLocation location;
    /** 轮廓线 */
    private List<List<AdmPoint>> outline;
    /** 模型id(外键) */
    private String modelId;
    /** 类型 */
    private String elementType;
    /** revit模型中的id */
    private String revitId;
    /** 对应Revit模型id */
    private String sourceId;

    private String classCode = "VIRTUALWALL";
    private String objectType = "equipment";

}
