package com.persagy.proxy.object.model;

import com.persagy.proxy.adm.model.AdmPoint;
import lombok.Data;

import java.util.List;

/**
 * ADM 建筑 实体
 * @author Charlie Yu
 * @date 2021-08-16
 */
@Data
public class AdmWindow {

    /** ID */
    private String id;
    /** 模型所属楼层的id */
    private String modelFloorId;
    /** 模型id(外键) */
    private String modelId;
    /** 类型 */
    private String elementType;
    /** revit模型中的id */
    private String revitId;
    /** 对应Revit模型id */
    private String sourceId;
    /** 所属墙 */
    private String wallId;
    /** 拥有者的RevitId */
    private String owner;
    /** 名称 */
    private String name;
    /** 宽度 */
    private Double width;
    /** 定位点 */
    private AdmLocation location;
    /** 轮廓线 */
    private List<List<AdmPoint>> outline;
    /** 类型中文名称 */
    private String familyName;
    /** 族符号 */
    private String familySymbol;
    /** 厚度 */
    private Double thick;

    private String classCode = "CFBEWN";

    private String objectType = "equipment";

}
