package com.persagy.proxy.report.controller;

import com.persagy.proxy.object.model.AdmFloor;
import com.persagy.proxy.adm.request.AdmQueryCriteria;
import com.persagy.proxy.adm.request.AdmResponse;
import com.persagy.proxy.object.service.IAdmFloorService;
import com.persagy.proxy.adm.utils.AdmContextUtil;
import com.persagy.proxy.common.entity.InstanceUrlParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.*;

/**
 * @author zhangwencheng
 * 楼层相关接口
 */

@RestController
@RequestMapping("/floor")
public class AdmEquipFloorController {

    @Autowired
    private IAdmFloorService service;

    @Value("${middleware.group.code}")
    private String groupCode;
    /**
     * 查询楼层信息
     * 查询楼层信息，以及使用同一个模型文件处理情况
     *级联对象：建筑（building）、项目（project）、楼层贯通关系（floorThroughList）
     */
    @PostMapping("/query")
    public AdmResponse query(@RequestBody AdmQueryCriteria criteria) {
        InstanceUrlParam context = AdmContextUtil.toDmpContext();
        criteria.setName(AdmFloor.OBJ_TYPE);
        return service.doQuery(context, criteria, AdmFloor.class);
    }
}
