package com.persagy.proxy.report.model;

import org.apache.poi.ss.usermodel.Font;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;

import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 不在空间内的设备数据导出实体类
 * @company persagy
 * @author zhangqiankun
 * @since 2020年11月26日:	下午12:30:39
 */
@Getter
@Setter
@HeadFontStyle(color = Font.COLOR_NORMAL)
public class EquipmentBindPointExcel {
	
	@ColumnWidth(10)
	@ExcelProperty(value = "序号", index=0)
	private int index;
	
	@ColumnWidth(25)
	@ExcelProperty(value = "项目名称", index=1)
	private String projectName;

	@ColumnWidth(20)
	@ExcelProperty(value = "建筑", index=2)
	private String buildName;

	@ColumnWidth(20)
	@ExcelProperty(value = "楼层", index=3)
	private String floorName;
	
	@ColumnWidth(10)
	@ExcelProperty(value = "系统编码", index=4)
	private String systemCode;

	@ColumnWidth(20)
	@ExcelProperty(value = "系统名称", index=5)
	private String systemName;
	
	@ColumnWidth(10)
	@ExcelProperty(value = "设备类型编码", index=6)
	private String equipCode;
	
	@ColumnWidth(20)
	@ExcelProperty(value = "设备类型名称", index=7)
	private String equipName; 
	
	@ColumnWidth(50)
	@ExcelProperty(value = "设备ID", index=8)
	private String equipId;
	
	@ColumnWidth(50)
	@ExcelProperty(value = "BIMID", index=9)
	private String bimId;
	
	@ColumnWidth(20)
	@ExcelProperty(value = "本地编码", index=10)
	private String localId;
	
	@ColumnWidth(20)
	@ExcelProperty(value = "本地名称", index=11)
	private String localName;
	
	@ColumnWidth(10)
	@ExcelProperty(value = "【信息点】应绑点位总数", index=12)
	private int needBindPointCount;
	
	@ColumnWidth(10)
	@ExcelProperty(value = "【信息点】已绑点位总数", index=13)
	private int nowBindPointCount;
	
	@ColumnWidth(10)
	@ExcelProperty(value = "【信息点】静态应绑点", index=14)
	private int needStaticPointCount;
	
	@ColumnWidth(10)
	@ExcelProperty(value = "【信息点】静态已绑点", index=15)
	private int nowStaticPointCount;
	
	@ColumnWidth(10)
	@ExcelProperty(value = "【信息点】动态应绑点", index=16)
	private int needDynamicPointCount;
	
	@ColumnWidth(10)
	@ExcelProperty(value = "【信息点】动态已绑点", index=17)
	private int nowDynamicPointCount;
	
}
