package com.persagy.proxy.report.model;

import org.apache.poi.ss.usermodel.Font;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.HeadFontStyle;

import lombok.Getter;
import lombok.Setter;

/**
 * @version 
 * @description 下载报告-统计项目下已有的设备，以及静态和iot 信息点使用，
 * @company persagy
 * @author zhangqiankun
 * @since 2020年11月26日:	下午12:30:39
 */
@Getter
@Setter
@HeadFontStyle(color = Font.COLOR_NORMAL)
public class EquipmentCountExcel {
	
	@ColumnWidth(10)
	@ExcelProperty(value = "序号", index=0)
	private int index;
	
	@ColumnWidth(25)
	@ExcelProperty(value = "项目名称", index=1)
	private String projectName;

	@ColumnWidth(20)
	@ExcelProperty(value = "建筑", index=2)
	private String buildName;

	@ColumnWidth(10)
	@ExcelProperty(value = "系统编码", index=3)
	private String systemCode;

	@ColumnWidth(20)
	@ExcelProperty(value = "系统名称", index=4)
	private String systemName;
	
	@ColumnWidth(10)
	@ExcelProperty(value = "设备类型编码", index=5)
	private String equipCode;
	
	@ColumnWidth(20)
	@ExcelProperty(value = "设备类型名称", index=6)
	private String equipName; 
	
	@ColumnWidth(10)
	@ExcelProperty(value = "录入【设备】台账总数", index=7)
	private int equipBimIdNullCount;		// 录入平台，非BIM解析的设备数量，BIMID为空的设备，有建筑就只统计对应建筑下的，反之亦然
	
	@ColumnWidth(10)
	@ExcelProperty(value = "模型解析【设备】总数", index=8)
	private int equipBimIdCount;			// 通过BIM解析的设备数量，有建筑就只统计对应建筑下的，反之亦然
	
	@ColumnWidth(10)
	@ExcelProperty(value = "平台【设备】总数", index=9)
	private int equipCountByBuild;			// 每个设备的class_code，在同一建筑下，按照classCode分组，统计出的数量
	
	@ColumnWidth(10)
	@ExcelProperty(value = "已绑点【设备】", index=10)
	private int equipBindPointCount;		// 项目和classCode为条件（有建筑就只统计对应建筑下的，反之亦然），此情况下的已绑定设备的数量
	
	@ColumnWidth(10)
	@ExcelProperty(value = "【信息点】静态应绑点", index=11)
	private int needStaticPointCount;	// 项目和classCode为条件（有建筑就只统计对应建筑下的，反之亦然）
	
	@ColumnWidth(10)
	@ExcelProperty(value = "【信息点】静态已绑点", index=12)
	private int nowStaticPointCount;	// 项目和classCode为条件（有建筑就只统计对应建筑下的，反之亦然），此情况下的已绑定信息点的数量
	
	@ColumnWidth(10)
	@ExcelProperty(value = "【信息点】动态应绑点", index=13)
	private int needDynamicPointCount;	// 项目和classCode为条件（有建筑就只统计对应建筑下的，反之亦然）
	
	@ColumnWidth(10)
	@ExcelProperty(value = "【信息点】动态已绑点", index=14)
	private int nowDynamicPointCount;	// 项目和classCode为条件（有建筑就只统计对应建筑下的，反之亦然），此情况下的已绑定信息点的数量
	
}
